<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model 
{

    protected $table = 'categories';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('name', 'image', 'parent_id', 'activated');

    public function parent()
    {
        return $this->belongsTo('Category', 'parent_id');
    }

    public function products()
    {
        return $this->hasMany('Product');
    }

}